﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

* {
    border-radius: 0 !important;
}

.badge {
    border-radius: 20px !important;
}

.navbar-white {
    background-color: #fff;
}

.footer-white {
    background-color: #fff;
}

.font-weight-bold {
    font-weight: bold;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

.td-ds-overflow {
    max-width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.td-ds-overflow-generic {
    overflow: hidden;
    text-overflow: ellipsis;
}

/* INICIO ESTILOS LISTADO WHATSAPP CHATS */
.chat-app .people-list {
    width: 280px;
    position: absolute;
    padding: 20px;
    z-index: 7
}

.chat-app .chat {
    margin-left: 280px;
    border-left: 1px solid #eaeaea
}

.people-list {
    -moz-transition: .5s;
    -o-transition: .5s;
    -webkit-transition: .5s;
    transition: .5s
}

    .people-list .chat-list li {
        padding: 10px 15px;
        list-style: none;
        border-radius: 3px;
    }

        .people-list .chat-list li div.about {
            font-family: Poppins, medium;
            color: #999999;
            font-weight: bold;
        }

        .people-list .chat-list li.online.active div.about {
            color: #4ca59f;
        }

        .people-list .chat-list li.online div.about {
            color: #4c4c4c;
        }

            .people-list .chat-list li.online:hover div.about {
                color: #4ca59f;
            }

        .people-list .chat-list li.offline.active div.about {
            color: #a62322;
        }

        .people-list .chat-list li.offline div.about {
            color: #4c4c4c;
        }

            .people-list .chat-list li.offline:hover div.about {
                color: #a62322;
            }


        .people-list .chat-list li span {
            padding: 1px 3px 1px 3px;
            margin-top: 2px;
        }

        .people-list .chat-list li:hover {
            cursor: pointer
        }

        .people-list .chat-list li.online {

        }

            .people-list .chat-list li.online span {
                background-color: #e9fbf7;
            }

        .people-list .chat-list li.online.active {
            background-color: #e9fbf7;
        }

            .people-list .chat-list li.online.active span {
                background-color: #95e3df;
                padding: 1px 3px 1px 3px;
            }

        .people-list .chat-list li.online:hover {
            background-color: #e9fbf7;
        }

            .people-list .chat-list li.online:hover span {
                background-color: #95e3df;
            }

        .people-list .chat-list li.offline.active {
            background-color: #ffe6eb;
        }

            .people-list .chat-list li.offline.active span {
                background-color: #a62322;
                opacity: 35%;
                font-family: Poppins, medium;
                color: #999999;
            }

        .people-list .chat-list li.offline span {
            background-color: #ffe6eb;
        }

        .people-list .chat-list li.offline:hover {
            background-color: #ffe6eb;
        }

        .people-list .chat-list li.offline:hover span {
            background-color: #a62322;
            opacity: 35%;
            font-family: Poppins, medium;
            color: #999999;
        }

        .people-list .chat-list li .name {
            font-size: 15px
        }

    .people-list .chat-list img {
        width: 45px;
        border-radius: 50%
    }

    .people-list img {
        float: left;
        border-radius: 50%
    }

    .people-list .about {
        float: left;
        padding-left: 8px
    }

    .people-list .status {
        color: #999;
        font-size: 11px;
    }

.chat .chat-header {
    padding: 15px 20px;
    border-bottom: 2px solid #f4f7f6
}

    .chat .chat-header img {
        float: left;
        border-radius: 40px;
        width: 40px
    }

    .chat .chat-header .chat-about {
        float: left;
        padding-left: 10px
    }

.chat .chat-history {
    padding: 20px;
    border-bottom: 2px solid #fff
}

    .chat .chat-history ul {
        padding: 0
    }

        .chat .chat-history ul li {
            list-style: none;
            margin-bottom: 30px
        }

            .chat .chat-history ul li:last-child {
                margin-bottom: 0px
            }

    .chat .chat-history .message-data {
        margin-bottom: 15px
    }

        .chat .chat-history .message-data img {
            border-radius: 40px;
            width: 40px
        }

    .chat .chat-history .message-data-time {
        color: #434651;
        padding-left: 6px
    }

    .chat .chat-history .message {
        color: #444;
        padding: 18px 20px;
        line-height: 26px;
        font-size: 16px;
        border-radius: 7px;
        display: inline-block;
        position: relative
    }

        .chat .chat-history .message:after {
            bottom: 100%;
            left: 7%;
            border: solid transparent;
            content: " ";
            height: 0;
            width: 0;
            position: absolute;
            pointer-events: none;
            border-bottom-color: #fff;
            border-width: 10px;
            margin-left: -10px
        }

    .chat .chat-history .my-message {
        background: #efefef
    }

        .chat .chat-history .my-message:after {
            bottom: 100%;
            left: 30px;
            border: solid transparent;
            content: " ";
            height: 0;
            width: 0;
            position: absolute;
            pointer-events: none;
            border-bottom-color: #efefef;
            border-width: 10px;
            margin-left: -10px
        }

    .chat .chat-history .other-message {
        background: #e8f1f3;
        text-align: right
    }

        .chat .chat-history .other-message:after {
            border-bottom-color: #e8f1f3;
            left: 93%
        }

.chat .chat-message {
    padding: 20px
}

.online,
.offline,
.me {
    margin-right: 2px;
    font-size: 8px;
    vertical-align: middle
}

.online {
    color: #86c541
}

.offline {
    color: #e47297
}

.me {
    color: #1d8ecd
}

/*FIN ESTILOS LISTADO WHATSAPP CHATS*/

.float-right {
    float: right
}

.clearfix:after {
    visibility: hidden;
    display: block;
    font-size: 0;
    content: " ";
    clear: both;
    height: 0
}

@media only screen and (max-width: 767px) {
    .chat-app .people-list {
        height: 465px;
        width: 100%;
        overflow-x: auto;
        background: #fff;
        left: -400px;
        display: none
    }

        .chat-app .people-list.open {
            left: 0
        }

    .chat-app .chat {
        margin: 0
    }

        .chat-app .chat .chat-header {
            border-radius: 0.55rem 0.55rem 0 0
        }

    .chat-app .chat-history {
        height: 300px;
        overflow-x: auto
    }
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
    .chat-app .chat-list {
        height: 650px;
        overflow-x: auto
    }

    .chat-app .chat-history {
        height: 600px;
        overflow-x: auto
    }
}

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: landscape) and (-webkit-min-device-pixel-ratio: 1) {
    .chat-app .chat-list {
        height: 480px;
        overflow-x: auto
    }

    .chat-app .chat-history {
        height: calc(100vh - 350px);
        overflow-x: auto
    }
}

.tooltip-inner {
    background-color: black;
    word-wrap: break-word;
    text-align: center;
}

.btn-sq-lg {
    width: 150px !important;
    height: 150px !important;
}

.hiddenRow {
    padding: 0 !important;
}

.borderless td, .borderless th {
    border: none !important;
    cursor: pointer;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn.disabled {
    opacity: .30;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    font-family: 'Poppins', sans-serif;
    padding-top: 100px !important;
    /* Margin bottom by footer height */
    margin-bottom: 85px !important;
}

.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}


.dl-horizontal dt {
    white-space: normal;
}

.ds-header-logo {
    float: left;
    padding-right: 1em;
}

.navbar-header a {
    padding-top: 2em;
}

.navbar-header {
    min-height: 70px;
}

.test-mode {
    color: red !important;
    border-color: red !important;
}

.aplpha-mode {
    color: #f0ad4e !important;
    border-color: #f0ad4e !important;
}

.truncate {
    width: 200px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
}

.capacity {
    background-color: #ffe699;
}

.temperature {
    background-color: #fecae8;
}

.temperature, .capacity {
    color: black;
}



/* Material Switch
-------------------------------------------------- */

/*input[type=checkbox].material-switch {
    width: 38px;
    border-radius: 11px;
}

    input[type=checkbox].material-switch:after {
        left: 2px;
        top: 2px;
        border-radius: 50%;
        width: 15px;
        height: 15px;
        background: var(--ab, var(--border));
        transform: translateX(var(--x, 0));
    }

    input[type=checkbox].material-switch:checked {
        --ab: var(--active-inner);
        --x: 17px;
    }

    input[type=checkbox].material-switch:disabled:not(:checked):after {
        opacity: 0.6;
    }*/
.checkbox-details-padding {
    padding-top: 10px;
}

.material-switch > input[type="checkbox"] {
    display: none;
}

.material-switch > label {
    cursor: pointer;
    height: 0px;
    position: relative;
    width: 40px;
}

    .material-switch > label::before {
        background: rgb(0, 0, 0);
        box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
        border-radius: 8px !important;
        content: '';
        height: 16px;
        margin-top: -8px;
        position: absolute;
        opacity: 0.3;
        transition: all 0.4s ease-in-out;
        width: 40px;
    }

    .material-switch > label::after {
        background: rgb(255, 255, 255);
        border-radius: 16px !important;
        box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
        content: '';
        height: 24px;
        left: -4px;
        margin-top: -8px;
        position: absolute;
        top: -4px;
        transition: all 0.3s ease-in-out;
        width: 24px;
    }

.material-switch > input[type="checkbox"]:checked + label::before {
    background: inherit;
    opacity: 0.5;
}

.material-switch > input[type="checkbox"]:checked + label::after {
    background: inherit;
    left: 20px;
}

.material-switch-group {
    padding: 25px 18px;
}


/* Timeline */
.well-none {
    background-color: none;
    border: none;
    box-shadow: none;
}

.timeline,
.timeline-horizontal {
    list-style: none;
    padding: 20px;
    position: relative;
}

    .timeline:before {
        top: 40px;
        bottom: 0;
        position: absolute;
        content: " ";
        width: 3px;
        background-color: #eeeeee;
        left: 50%;
        margin-left: -1.5px;
    }

    .timeline .timeline-item {
        margin-bottom: 20px;
        position: relative;
    }

        .timeline .timeline-item:before,
        .timeline .timeline-item:after {
            content: "";
            display: table;
        }

        .timeline .timeline-item:after {
            clear: both;
        }

        .timeline .timeline-item .timeline-badge {
            color: #fff;
            width: 54px;
            height: 54px;
            line-height: 52px;
            font-size: 22px;
            text-align: center;
            position: absolute;
            top: 18px;
            left: 50%;
            margin-left: -25px;
            background-color: #7c7c7c;
            border: 3px solid #ffffff;
            z-index: 100;
            border-top-right-radius: 50% !important;
            border-top-left-radius: 50% !important;
            border-bottom-right-radius: 50% !important;
            border-bottom-left-radius: 50% !important;
        }

            .timeline .timeline-item .timeline-badge i,
            .timeline .timeline-item .timeline-badge .fa,
            .timeline .timeline-item .timeline-badge .glyphicon {
                top: 2px;
                left: 0px;
            }

            .timeline .timeline-item .timeline-badge.img {
                background: none;
            }

            .timeline .timeline-item .timeline-badge.pink {
                background-color: #ef7e91;
            }

            .timeline .timeline-item .timeline-badge.blue {
                background-color: #66d7d1;
            }

            .timeline .timeline-item .timeline-badge.yellow {
                background-color: #e2dc72;
            }

            .timeline .timeline-item .timeline-badge.dark-yellow {
                background-color: #fbb224;
            }

            .timeline .timeline-item .timeline-badge.primary {
                background-color: #1f9eba;
            }

            .timeline .timeline-item .timeline-badge.info {
                background-color: #5bc0de;
            }

            .timeline .timeline-item .timeline-badge.success {
                background-color: #59ba1f;
            }

            .timeline .timeline-item .timeline-badge.warning {
                background-color: #d1bd10;
            }

            .timeline .timeline-item .timeline-badge.danger {
                background-color: #ba1f1f;
            }

        .timeline .timeline-item .timeline-panel-warning {
            background-color: #e2dc72 !important;
        }

        .timeline .timeline-item .timeline-panel {
            position: relative;
            width: 46%;
            float: left;
            right: 16px;
            border: 1px solid #c0c0c0;
            background: #ffffff;
            border-radius: 2px !important;
            padding: 20px;
            -webkit-box-shadow: 0 1px 6px rgba(0, 0, 0, 0.175);
            box-shadow: 0 1px 6px rgba(0, 0, 0, 0.175);
        }

            .timeline .timeline-item .timeline-panel:before {
                position: absolute;
                top: 26px;
                right: -16px;
                display: inline-block;
                border-top: 16px solid transparent;
                border-left: 16px solid #c0c0c0;
                border-right: 0 solid #c0c0c0;
                border-bottom: 16px solid transparent;
                content: " ";
            }

            .timeline .timeline-item .timeline-panel .timeline-title {
                margin-top: 0;
                color: inherit;
            }

            .timeline .timeline-item .timeline-panel .timeline-body > p,
            .timeline .timeline-item .timeline-panel .timeline-body > ul {
                margin-bottom: 0;
            }

                .timeline .timeline-item .timeline-panel .timeline-body > p + p {
                    margin-top: 5px;
                }

        .timeline .timeline-item:last-child:nth-child(even) {
            float: right;
        }

        .timeline .timeline-item:nth-child(even) .timeline-panel {
            float: right;
            left: 16px;
        }

            .timeline .timeline-item:nth-child(even) .timeline-panel:before {
                border-left-width: 0;
                border-right-width: 14px;
                left: -14px;
                right: auto;
            }

.timeline-horizontal {
    list-style: none;
    position: relative;
    padding: 20px 0px 20px 0px;
    display: inline-block;
}

    .timeline-horizontal:before {
        height: 3px;
        top: auto;
        bottom: 26px;
        left: 56px;
        right: 0;
        width: 100%;
        margin-bottom: 20px;
    }

    .timeline-horizontal .timeline-item {
        display: table-cell;
        height: 280px;
        width: 20%;
        min-width: 320px;
        float: none !important;
        padding-left: 0px;
        padding-right: 20px;
        margin: 0 auto;
        vertical-align: bottom;
    }

        .timeline-horizontal .timeline-item .timeline-panel {
            top: auto;
            bottom: 64px;
            display: inline-block;
            float: none !important;
            left: 0 !important;
            right: 0 !important;
            width: 100%;
            margin-bottom: 20px;
        }

            .timeline-horizontal .timeline-item .timeline-panel:before {
                top: auto;
                bottom: -16px;
                left: 28px !important;
                right: auto;
                border-right: 16px solid transparent !important;
                border-top: 16px solid #c0c0c0 !important;
                border-bottom: 0 solid #c0c0c0 !important;
                border-left: 16px solid transparent !important;
            }

        .timeline-horizontal .timeline-item:before,
        .timeline-horizontal .timeline-item:after {
            display: none;
        }

        .timeline-horizontal .timeline-item .timeline-badge {
            top: auto;
            bottom: 0px;
            left: 43px;
        }

/* card */
.user-row {
    margin-bottom: 14px;
}

    .user-row:last-child {
        margin-bottom: 0;
    }

.dropdown-user {
    margin: 13px 0;
    padding: 5px;
    height: 100%;
}

    .dropdown-user:hover {
        cursor: pointer;
    }

.table-user-information > tbody > tr {
    border-top: 1px solid rgb(221, 221, 221);
}

    .table-user-information > tbody > tr:first-child {
        border-top: 0;
    }


    .table-user-information > tbody > tr > td {
        border-top: 0;
    }

/* circle buttons */
.btn-circle.btn-xl {
    width: 50px;
    height: 50px;
    padding: 10px 0px;
    border-radius: 50px !important;
    text-align: center;
    font-size: 22px;
    line-height: 1.42857;
}

.btn-circle {
    width: 40px;
    height: 40px;
    padding: 10px 0px;
    border-radius: 50px !important;
    text-align: center;
    font-size: 13px;
    line-height: 1.42857;
}


/* level */

.battery {
    border: 3px solid #ACACAC;
    width: 18px;
    height: 28px;
    padding: 2px;
    border-radius: 4px !important;
    position: relative;
    /*margin: 15px 0;*/
}

    .battery:before {
        content: "";
        height: 3px;
        /*width: 18px;*/
        background: #333;
        display: block;
        position: absolute;
        top: -6px;
        border-radius: 4px 4px 0 0 !important;
    }

    .battery:after {
        content: "";
        display: block;
        position: absolute;
        top: -1px;
        left: -1px;
        right: -1px;
        bottom: -1px;
        border: 1px solid #fff;
        border-radius: 2px !important;
    }

.battery-level {
    background: #ef7e91;
    position: absolute;
    bottom: 0px;
    left: 0;
    right: 0;
}

    .battery-level.warn {
        background-color: #EFAF13;
    }

    .battery-level.alert {
        background-color: #e81309;
    }

        .battery-level.alert:before {
            background-image: url("data:image/svg+xml;charset=US-ASCII,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22utf-8%22%3F%3E%3C!DOCTYPE%20svg%20PUBLIC%20%22-%2F%2FW3C%2F%2FDTD%20SVG%201.1%2F%2FEN%22%20%22http%3A%2F%2Fwww.w3.org%2FGraphics%2FSVG%2F1.1%2FDTD%2Fsvg11.dtd%22%3E%3Csvg%20version%3D%221.1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2232%22%20height%3D%2232%22%20viewBox%3D%220%200%2032%2032%22%3E%3Cg%3E%3C%2Fg%3E%20%3Cpath%20fill%3D%22%23e81309%22%20d%3D%22M17.927%2012l2.68-10.28c0.040-0.126%200.060-0.261%200.060-0.4%200-0.726-0.587-1.32-1.314-1.32-0.413%200-0.78%200.187-1.019%200.487l-13.38%2017.353c-0.18%200.227-0.287%200.513-0.287%200.827%200%200.733%200.6%201.333%201.333%201.333h8.073l-2.68%2010.28c-0.041%200.127-0.060%200.261-0.060%200.4%200.001%200.727%200.587%201.32%201.314%201.32%200.413%200%200.78-0.186%201.020-0.487l13.379-17.353c0.181-0.227%200.287-0.513%200.287-0.827%200-0.733-0.6-1.333-1.333-1.333h-8.073z%22%3E%3C%2Fpath%3E%3C%2Fsvg%3E");
            background-repeat: no-repeat;
            background-size: 18px;
            height: 18px;
            width: 18px;
            margin: -25px 0 0 2px;
            content: "";
            display: inline-block;
            position: absolute;
        }

/* dot */

.dot {
    height: 6px;
    width: 6px;
    background-color: #ef7e91;
    border-radius: 50% !important;
    display: inline-block;
}

/* custom panels and buttons */

.label-green-dark {
    background-color: #378186;
}

.opp-pink {
    color: #ef7e91;
}

.opp-blue {
    color: #66d7d1;
}

.opp-blue-2 {
    color: #c2d3ef;
}

.opp-green {
    color: #0E3B40;
}

.opp-green-light {
    background-color: #d3c400;
}

.opp-yellow {
    color: #e2dc72;
}

.opp-blue-light {
    color: #80B5B3;
}

.opp-blue-light-2 {
    color: #66d7d1;
}

.opp-pink-light {
    color: #EF7E91;
}

.opp-pink-red {
    color: #D9534F;
}

.opp-dark-green {
    color: #0E3B40;
}

.opp-gray {
    color: #b9b9b9;
}


.btn-gray {
    color: #fff;
    background-color: #b9b9b9;
    border-color: #b9b9b9;
}

    .btn-pink:hover {
        color: #efefef;
    }


.btn-pink {
    color: #fff;
    background-color: #ef7e91;
    border-color: #ef7e91;
}
    .btn-pink:hover {
        color: #efefef;
    }

.btn-blue {
    color: #fff;
    background-color: #66d7d1;
    border-color: #66d7d1;
}

.btn-blue-light {
    color: #fff;
    background-color: #80B5B3;
    border-color: #80B5B3;
}

.btn-dark-green {
    color: #fff;
    background-color: #0E3B40;
    border-color: #0E3B40;
}

    .btn-dark-green:hover {
        color: #efefef;
    }

.lnk-dark-green {
    color: #0E3B40;
}

.lnk-dark-red {
    color: darkred;
}

    .lnk-dark-red:hover {
        color: darkred;
    }

.btn-yellow {
    color: #fff;
    background-color: #e2dc72;
    border-color: #e2dc72;
}

.btn-dark {
    color: #fff;
    background-color: #4c4c4c;
    border-color: #ccc;
    padding: 6px 35px;
}

    .btn-dark:hover {
        background-color: #efefef;
    }

.btn-dark-yellow {
    color: #fff;
    background-color: #fbb224;
    border-color: #fbb224;
}

.btn-orange {
    color: #fff;
    background-color: #e2a172;
    border-color: #e2a172;
}

.panel-pink {
    border-color: #ef7e91;
}

    .panel-pink > .panel-heading {
        color: #fff;
        font-weight: bold;
        background-color: #ef7e91;
        border-color: #ef7e91;
    }

.panel-blue {
    border-color: #66d7d1;
}

    .panel-blue > .panel-heading {
        color: #fff;
        font-weight: bold;
        background-color: #66d7d1;
        border-color: #66d7d1;
    }

.panel-yellow {
    border-color: #e2dc72;
}

    .panel-yellow > .panel-heading {
        color: #fff;
        font-weight: bold;
        background-color: #e2dc72;
        border-color: #e2dc72;
    }

.panel-green {
    border-color: #43CD66;
}

    .panel-green > .panel-heading {
        color: #fff;
        font-weight: bold;
        background-color: #43CD66;
        border-color: #43CD66;
    }

.panel-dark-yellow {
    border-color: #fbb224;
}

    .panel-dark-yellow > .panel-heading {
        color: #fff;
        font-weight: bold;
        background-color: #fbb224;
        border-color: #fbb224;
    }

.important-field {
    background-color: #f5fffe;
    border: 2px solid #b9d5d3;
}

hr.primary {
    border-color: #66d7d1;
}

.body-gray {
    background-color: #efefef;
    border-color: none !important;
}

/* clock */
.clock {
    width: 200px;
    margin: 15px auto;
    padding: 3px;
    color: #333;
}

#Date {
    font-size: .8em;
    text-align: center;
}

.clock ul {
    width: 200px;
    margin: 0 auto;
    padding: 0px;
    list-style: none;
    text-align: center;
}

    .clock ul li {
        display: inline;
        font-size: .8em;
        text-align: center;
    }

.clock2 {
    font-size: 1em;
}

#Date2 {
}

.clock2 ul {
    margin: 0 auto;
    padding: 0px;
    list-style: none;
}

    .clock2 ul li {
        display: inline;
    }

#point {
    -moz-animation: mymove 1s ease infinite;
    -webkit-animation: mymove 1s ease infinite;
    padding-left: 0px;
    padding-right: 0px;
}

/* Simple Animation */
@-webkit-keyframes mymove {
    0% {
        opacity: 1.0;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1.0;
    }
}

@-moz-keyframes mymove {
    0% {
        opacity: 1.0;
    }

    50% {
        opacity: 0;
    }

    100% {
        opacity: 1.0;
    }
}

/* badge count */

.fa-stack[data-count]:after {
    display: inline-block;
    position: absolute;
    right: 60%;
    top: 0%;
    content: attr(data-count);
    font-size: 50%;
    padding: .6em;
    border-radius: 999px;
    line-height: .75em;
    color: white;
    background: #4c4c4c;
    text-align: center;
    min-width: 2em;
    font-weight: bold;
}


/* files drag */

.files input {
    outline: 2px dashed #92b0b3;
    outline-offset: -10px;
    -webkit-transition: outline-offset .15s ease-in-out, background-color .15s linear;
    transition: outline-offset .15s ease-in-out, background-color .15s linear;
    padding: 120px 0px 85px 35%;
    text-align: center !important;
    margin: 0;
    width: 100% !important;
}

    .files input:focus {
        outline: 2px dashed #92b0b3;
        outline-offset: -10px;
        -webkit-transition: outline-offset .15s ease-in-out, background-color .15s linear;
        transition: outline-offset .15s ease-in-out, background-color .15s linear;
        border: 1px solid #92b0b3;
    }

.files {
    position: relative
}

    .files:after {
        pointer-events: none;
        position: absolute;
        top: 60px;
        left: 0;
        width: 50px;
        right: 0;
        height: 56px;
        content: "";
        background-image: url(../images/attached-file-arrow.png);
        display: block;
        margin: 0 auto;
        background-size: 100%;
        background-repeat: no-repeat;
    }

.color input {
    background-color: #f1f1f1;
}

.files:before {
    position: absolute;
    bottom: 2px;
    left: 0;
    pointer-events: none;
    width: 100%;
    right: 0;
    height: 57px;
    content: " o arrastralos aquí. ";
    display: block;
    margin: 0 auto;
    color: #2ea591;
    font-weight: 600;
    /*text-transform: capitalize;*/
    text-align: center;
}

/* Slider */

.slider-selection {
    background: #b9d5d3 !important;
}

.slider-handle {
    border-radius: 25px !important;
    background-color: #fff !important;
    background-image: none !important;
    -webkit-box-shadow: 1px 1px 24px -2px rgba(0,0,0,0.75) !important;
    -moz-box-shadow: 1px 1px 24px -2px rgba(0,0,0,0.75) !important;
    box-shadow: 1px 1px 24px -2px rgba(0,0,0,0.75) !important;
}


.well {
    background: transparent !important;
    border: none !important;
    box-shadow: none !important;
    width: 100% !important;
    padding: 0;
}

.slider.slider-horizontal {
    margin-left: 25px;
    width: 50%;
}

    .slider.slider-horizontal .slider-track {
        border-radius: 25px !important;
    }

.slider-ghost .slider-track {
    border-radius: 25px !important;
    height: 5px !important;
}

.slider-ghost .slider-handle {
    top: -2px !important;
    border: 5px solid #f77500;
}

.clickable {
    cursor: pointer !important;
}

/*.slider > .tootip > .tooltip-inner {
    max-width: 200px;
    padding: 3px 8px;
    color: red !important;
    text-align: center;
    background-color: transparent !important;
    border-radius: 4px;
}

.tooltip.top .tooltip-arrow {
    display: none !important;
}*/

/*.slider .tooltip.top {
    margin-top: -25px !important;
}*/

.mce-last .mce-btn-has-text {
    background-color: #f0ad4e !important;
}

.tmp-edit-form {
    margin-bottom: 20px;
    margin-top: 20px;
    padding: 0px;
}

.tmp-edit-save-btn {
    padding-left: 0px;
    margin-top: 22px;
}

.save-btn-custom-width {
    padding-left: 0px;
    margin-top: 22px;
    width: 11.6%;
}

.div-custom-width {
    padding-left: 0px;
    width: 87.4%;
}

.chart-table {
    width: 100%;
    margin-top: 50px;
}

    .chart-table td, chart-table th {
        border: 1px solid #dddddd;
        text-align: center;
        padding: 8px;
    }

.chart-thead {
    background-color: #66d7d1;
    color: #fff;
}

.chart-tbody {
    background-color: #bcf5f1;
}

/*.custom-hr {
    margin-top: 5px;
    margin-bottom: 5px;
    border: 0;
    border-top: 1.5px solid darkgray;
}*/

.custom-hr {
    margin-top: 0px;
    margin-bottom: 10px;
    border: 0;
    border-top: 0px solid #eee;
}

.online {
    color: green;
}

.offline {
    color: red;
}

.whatsapp-notification {
    background-color: #25D366; /* Verde WhatsApp */
    color: white !important;
    border-radius: 50% !important;
    display: inline-block !important;
    width: 25px !important;
    height: 25px !important;
    text-align: center !important;
    line-height: 25px !important;
    font-size: 13px !important;
}

.show {
    display: block !important;
}

.hide {
    display: none !important;
}